<!DOCTYPE HTML>
<html>

<head>
  <meta charset="UTF-8">
  <title>Title</title>
  <script src="./node_modules/jquery/dist/jquery.min.js">
  </script>
  <script src="./node_modules/underscore/underscore-min.js">
  </script>
  <script src="./node_modules/backbone/backbone-min.js">
  </script>
  <script>
    // We create two DOM elements representing buttons
    // which could easily be containers or something else
    var button1 = $('<button></button>');
    var button2 = $('<button></button>');
    // Define a new view
    var View = Backbone.View.extend({
      events: {
        click: function(e) {
          console.log(view.el === e.target);
        }
      }
    });
    // Create a new instance of the view, applying it
    // to button1
    var view = new View({
      el: button1
    });
    // Apply the view to button2 using setElement
    view.setElement(button2);
    button1.trigger('click');
    button2.trigger('click'); // returns true

    // We can also provide raw markup to setElement
    // as follows (just to demonstrate it can be done):
    var view = new Backbone.View;
    view.setElement('<p><a><b>test</b></a></p>');
    view.$('a b').html(); // outputs "test"
  </script>
</head>

<body>

</body>


</html>